<?php
require_once "global.php";

$conexion=new mysqli(DB_HOST,DB_USERNAME,DB_PASSWORD,DB_NAME);
mysqli_query($conexion, 'SET NAMES "'.DB_ENCODE.'"');

//si tenemos un posible error en la cadena de conexion
if(mysqli_connect_errno())
{
  printf("FallÃ³ la conexion a la base de datos: %s\n",mysqli_connect_error());
  exit();

}

if(!function_exists('ejecutarConsulta'))
{
  function ejecutarConsulta($sql)
  {
    global $conexion;
    $query = $conexion->query($sql);
    return $query;
  }
  function ejecutarConsultaSimpleFila($sql)
  {
     global $conexion; // Asegurar que tenemos acceso a la conexi¨®n global
    $query = $conexion->query($sql);
    if (!$query) {
        die("Error en la consulta SQL: " . $conexion->error . " - Consulta: " . $sql);
    }
    return $query->fetch_assoc();
  }
  function ejecutarConsulta_retornarID($sql)
  {
    global $conexion;
    $query = $conexion->query($sql);
    return $conexion->insert_id;
  }
  function limpiarCadena($str)
  {
    global $conexion;
    $str = mysqli_real_escape_string($conexion,trim($str));
    return htmlspecialchars($str);
  }

}